org.apache.xerces.xs

## Interface XSNamedMap

All Superinterfaces:
  java.util.Map

    public interface XSNamedMap
    extends java.util.Map

Objects implementing the `XSNamedMap` interface are used to represent immutable collections of XML Schema components that can be accessed by name. Note that `XSNamedMap` does not inherit from `XSObjectList`. The `XSObject`s in `XSNamedMap`s are not maintained in any particular order.

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K,V>`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLength()` The number of `XSObjects` in the `XSObjectList`.
`XSObject` `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.
`XSObject` `itemByName(java.lang.String namespace, java.lang.String localName)` Retrieves an `XSObject` specified by local name and namespace URI.

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Method Detail

#### getLength

    int getLength()

The number of `XSObjects` in the `XSObjectList`. The range of valid child object indices is 0 to `length-1` inclusive.

#### item

    XSObject item(int index)

Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.

Parameters:
  `index` - index into the collection.
Returns:
  The `XSObject` at the `index`th position in the `XSObjectList`, or `null` if the index specified is not valid.

#### itemByName

    XSObject itemByName(java.lang.String namespace,
                        java.lang.String localName)

Retrieves an `XSObject` specified by local name and namespace URI.
Per XML Namespaces, applications must use the value `null` as the `namespace` parameter for methods if they wish to specify no namespace.

Parameters:
  `namespace` - The namespace URI of the `XSObject` to retrieve, or `null` if the `XSObject` has no namespace.
  `localName` - The local name of the `XSObject` to retrieve.
Returns:
  A `XSObject` (of any type) with the specified local name and namespace URI, or `null` if they do not identify any object in this map.